Subject: droid 4: connection refused from voltage_now

From: [email-masked] (Tony Lindgren)
Date: Fri, 6 Jul 2018 04:23:15 -0700

* Sebastian Reichel <[email-masked]> [180706 11:19]:
> Hi,
> 
> On Wed, Jul 04, 2018 at 09:52:38PM +0200, Pavel Machek wrote:
> > On Wed 2018-07-04 21:45:56, Ladislav Michl wrote:
> > > On Wed, Jul 04, 2018 at 07:11:56PM +0200, Pavel Machek wrote:
> > > > Hi!
> > > > 
> > > > I started to use droid 4 as my primary phone... so I have battery
> > > > monitor running for hours... Once every few days it dies with
> > > > "connection refused" error reading battery's "voltage_now". I restart
> > > > it and it continues working...
> > > 
> > > Ha! What exactly that "connection refused" means? Is it ECONNREFUSED (111)?
> > > I have custom at91 based board here with few custom power supply drivers
> > > and it sometimes ends with voltage_now of my driver being unreadable.
> > > (I modified userspace code and waiting what's in errno in case
> > > reading fails)
> > 
> > It seems to be -110:
> > Jul  4 11:48:29 devuan kernel: [ 2908.602600] cpcap_adc cpcap_adc.0: error reading ADC: -110
> > Jul  4 11:48:29 devuan kernel: [ 2908.608123] cpcap_battery cpcap_battery.0: cpcap_battery_get_current failed: -110
> > Jul  4 11:48:30 devuan kernel: [ 2908.922576] cpcap_adc cpcap_adc.0: error reading ADC: -110
> > Jul  4 11:48:30 devuan kernel: [ 2908.928100] cpcap_battery cpcap_battery.0: cpcap_charger_battery_temperature failed: -110
> > Jul  4 11:48:30 devuan kernel: [ 2908.936340] power_supply battery: driver failed to report `voltage_now' property: -110
> 
> The error above is obviously generated by cpcap_adc and only
> propageted by cpcap_battery. Have a look for -ETIMEDOUT (-110)
> in drivers/iio/adc/cpcap-adc.c.

Hmm yeah maybe first try to increase the timeout value a bit
and see if that helps.

If increasing the timeout does not help, try reverting commit
9d965236fe9b ("iio: adc: cpcap: Remove hung interrupt quirk").

Regards,

Tony